<link rel="import" href="../polymer/polymer-element.html" />

<dom-module id="test-thing">
    <template>
        <style>
            :host {
                display: block;
            }
        </style>
        <dom-if if="{{prop1}}">
            <template>
                <h1>Sí hay título</h1>
            </template>
        </dom-if>
        <dom-if if="{{!prop1}}">
            <template>
                <h1>No hay título</h1>
            </template>
        </dom-if>
    </template>

    <script>
        /**
         * `test-thing`
         * mnd
         *
         * @customElement
         * @polymer
         * @demo demo/index.html
         */
        class TestThing extends Polymer.Element {
            static get is() {
                return "test-thing";
            }
            static get properties() {
                return {
                    prop1: {
                        type: String,
                        value: "",
                    },
                };
            }
        }

        window.customElements.define(TestThing.is, TestThing);
    </script>
</dom-module>
